<node-header-page page="Login">
    <mat-spinner style="margin-bottom: 300px;" class="container text-center" *ngIf="loading"></mat-spinner>
</node-header-page>
<div class="my-account pt-80 pb-80" *ngIf="!loading">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <h3 class="title text-capitalize mb-30 pb-25"> Log in to your account</h3>
                <form class="log-in-form" [formGroup]="signinForm">
                    <button class="alert alert-danger alert-block" role="alert"></button>
                    <div class="form-group row">
                        <label for="staticEmail" class="col-md-3 col-form-label" formControlName="email">Email</label>
                        <div class="col-md-6">
                            <input type="email" class="form-control" id="staticEmail">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="inputPassword" class="col-md-3 col-form-label" formControlName="password">Password</label>
                        <div class="col-md-6">
                            <div class="input-group mb-2 mr-sm-2">
                                <input type="password" class="form-control" id="inputPassword">
                                <div class="input-group-prepend">
                                    <button type="button" class="input-group-text  theme-btn--dark1 btn--md show-password">show</button>
                                </div>
                            </div>

                        </div>

                    </div>
                    <div class="form-group row pb-3 text-center">
                        <div class="col-md-6 offset-md-3">
                            <div class="login-form-links">
                                <a href="#" class="for-get">Forgot your password?</a>
                                <div class="sign-btn">
                                    <button class="btn theme-btn--dark1 btn--md" [disabled]="signinForm.invalid" (click)="onSubmit()">Sign in</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row text-center mb-0">
                        <div class="col-12">
                            <div class="border-top">
                                <a routerLink="/signup" class="no-account">No account? Create one here</a>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
